## linux-air-combat 8.47%2Bds1

=== Makefile ===
OBJS=3ds.o aiobject.o audio.o cockpit.o common.o conf.o dirs.o effects.o fileloader.o FlightModel.o gl.o glland.o land.o loader_tga.o main.o mathtab.o menu.o mission.o model.o NetworkApi.o object.o objload.o pilots.o vertexarray.o

CXX=g++ -Ofast -g0 -fPIE

LIBS= -lglut -lGL -lGLU -lSDL -lSDL_mixer

Lac08p47: $(OBJS)
	mkdir -p ~/.LAC
	cp DefaultHeightMap.LAC ~/.LAC/DefaultHeightMap.LAC 
	g++ -o Lac08p47 $(LIBS) $(OBJS)
	cp Lac08p47 bin/Release/Lac08p47
	chmod +x bin/Release/Lac08p47	
clean:
	@rm -f *.o
	@rm -f Lac08p47

=== debian/changelog ===
linux-air-combat (8.47+ds1-0.1~mx19+1) mx; urgency=medium

  * Import 8.47 upstream release.
  * Remove debian/patches; fixed upstream.
  * Update debian/linux-air-combat.install and debian/linux-air-combat.links.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 02 Jun 2021 11:32:48 -0700

linux-air-combat (8.45+ds1-0.2~obs) obs; urgency=medium

  * debian/l-a-c-data.install: install DefaultHeightMap.LAC file to /etc/LAC.
  * add keymap.patch to fix keymapping of secondary weapon.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 28 Apr 2021 15:11:12 -0700

linux-air-combat (8.45+ds1-0.1~obs) obs; urgency=medium

  * New release, package for OBS.
  * Drop patches in favor of an override for dh_auto_clean in debian/rules.
  * Update the d/l-a-c.install and links files for 08p45.
  * Remove bin/Release/* and add "+ds1" to version, add
    debian/README.source to explain.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 27 Apr 2021 13:59:52 -0700

linux-air-combat (8.43-0.1mx19+1) mx; urgency=medium

  * Initial packaging.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 20 Apr 2021 14:51:39 -0700

## linux-air-combat 8.47+ds1

=== debian/changelog ===
linux-air-combat (8.47+ds1-0.1~mx17+1) mx; urgency=medium

  * Import 8.47 upstream release.
  * Remove debian/patches; fixed upstream.
  * Update debian/linux-air-combat.install and debian/linux-air-combat.links.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 02 Jun 2021 11:32:48 -0700

=== debian/control ===
Source: linux-air-combat
Section: games
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Build-Depends: debhelper (>= 10),
               freeglut3-dev,
               libgl1-mesa-dev,
               libglu1-mesa-dev,
               libsdl-mixer1.2-dev,
               libsdl1.2-dev
Standards-Version: 3.9.8
Homepage: https://askmisterwizard.com/2019/LinuxAirCombat/LinuxAirCombat.htm

Package: linux-air-combat
Architecture: any
Depends: linux-air-combat-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: action flight simulator
 Linux-air-combat is a 3D action flight simulator featuring missions, different
 fighters, a random terrain generator, lighting effects, sound effects, music,
 and joystick support.

Package: linux-air-combat-data
Architecture: all
Depends: ${misc:Depends}
Description: data files for linux-air-combat
 Linux Air Combat is a 3D action flight simulator featuring many missions and
 fighters, a random terrain generator, lighting effects, sound effects, music,
 and joystick support.
 .
 This package contains music and sound files as well as models and textures
 for Linux Air Combat.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_clean:
	rm -f *.o
	rm -f Lac08p45

override_dh_strip:
	dh_strip --no-automatic-dbgsym
